org.apache.maven.scm.provider.local.metadata

## Class LocalScmMetadataUtils

- java.lang.Object
- - org.apache.maven.scm.provider.local.metadata.LocalScmMetadataUtils

    public class LocalScmMetadataUtils
    extends Object

Utils for dealing with LocalScmMetadata

Version:
  $Id: LocalScmMetadataUtils.java 691832 2008-09-03 23:54:44Z vsiveton $
Author:
  Arne Degenring

### Field Summary

Fields
`static String` `FILENAME` The name of the metadata file
`protected ScmLogger` `logger`

### Constructor Summary

Constructors
Constructor and Description
`LocalScmMetadataUtils(ScmLogger logger)`

### Method Summary

Methods
`LocalScmMetadata` `buildMetadata(File repository)` Builds LocalScmMetadata based on contents of repository
`LocalScmMetadata` `readMetadata(File dir)` Reads metadata file from given directory.
`void` `writeMetadata(File destinationDir, LocalScmMetadata metadata)` Writes metadata file

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### FILENAME

    public static final String FILENAME

The name of the metadata file

See Also:
  Constant Field Values

#### logger

    protected final ScmLogger logger

### Constructor Detail

#### LocalScmMetadataUtils

    public LocalScmMetadataUtils(ScmLogger logger)

### Method Detail

#### buildMetadata

    public LocalScmMetadata buildMetadata(File repository)
                                   throws IOException

Builds LocalScmMetadata based on contents of repository

Parameters:
  `repository` -
Returns:
Throws:
  `IOException` - if any

#### writeMetadata

    public void writeMetadata(File destinationDir,
                     LocalScmMetadata metadata)
                       throws IOException

Writes metadata file

Parameters:
  `destinationDir` -
  `metadata` -
Throws:
  `IOException` - if any

#### readMetadata

    public LocalScmMetadata readMetadata(File dir)

Reads metadata file from given directory.

Parameters:
  `dir` - The directory that should contain the metadata file
Returns:
  LocalScmMetadata or `null` in case of problems